UNIT mUser;
{**************************************************************************
  mUser.pas

  Die Klasse User kapselt die Daten eines Chat-Benutzers.

  Diese Datei gehrt zu den Materialien zu dem Workshop
  "Zentralabitur: Kommunikation in Netzwerken" des 5. Informatiktag
  in Paderborn.
  Dieses Projekt ist im Frhjahr 2006 im Unterricht meines GK Informatik
  Jgst. 12 entwickelt und fr den Workshop nur leicht berarbeitet worden.
  Sie darf fr eigene Unterrichtszwecke frei verwendet werden.
  Eine anderweitige Verffentlichung ist nur mit meiner Erlaubnis zulssig.

  (c) Joachim Deckers, <joachim@deckers.name>, 03.04.2006
***************************************************************************}

interface

//--------------------  ggf Uses-Liste einfgen !  --------------------
uses msum;

type
  User = class

  private //Attribute
    zAngemeldet : Wahrheitswert;
    zIP : zeichenkette;
    zUsername : Zeichenkette;
    zPort : GanzeZahl;

  public //Methoden
    constructor init (pIp: Zeichenkette; pPort: GanzeZahl; pUsername: Zeichenkette); virtual;
    procedure anmelden; virtual;
    function istAngemeldet : Wahrheitswert; virtual;
    function Username : Zeichenkette; virtual;
    function Ip : Zeichenkette; virtual;
    function Port : GanzeZahl; virtual;
    destructor gibFrei; virtual;

   end;

implementation

//+---------------------------------------------------------------------
//|         User: Methodendefinition 
//+---------------------------------------------------------------------

//-------- init (public) -----------------------------------------------
constructor User.init (pIp: Zeichenkette; pPort: GanzeZahl; pUsername: Zeichenkette);
begin
  zIp := pIP;
  zPort := pPort;
  zUsername := pUsername;
  zAngemeldet := FALSCH;
end;

//-------- istAngemeldet (public) --------------------------------------
procedure User.anmelden;
begin
  zAngemeldet:= WAHR;
end;

//-------- Status (public) ---------------------------------------------
function User.istAngemeldet : Wahrheitswert;
begin
 result:= zAngemeldet;

end;

//-------- Username (public) -------------------------------------------
function User.Username : Zeichenkette;
begin
 result:= zUsername;
end;

//-------- Ip : Zeichenkette; (public) -------------------------------------------
function User.Ip : Zeichenkette;
begin
 result:= zIP;
end;

//-------- Username (public) -------------------------------------------
function User.Port : GanzeZahl;
begin
 result:= zPort;
end;

//-------- gibFrei (public) --------------------------------------------
destructor User.gibFrei;
begin
  //hier ggf. Code ergnzen
end;

end.
