{*******************************************************************************
 *  ClientVerbindung : Netzwerkuntersttzung fr Stifte und Muse              *
 *               Version 2.0 vom 27.02.2006                                    *
 *               Joachim Deckers, Mariengymnasium Arnsberg                     *
 *               Ursprngliche Fassung: Klaus Dingemann                        *
 *               eMail: sum-delphi@deckers.name                                *
 *******************************************************************************
 * Bitte teilen Sie den Entwicklern Ihre Verbesserungsvorschlge mit oder      *
 * weisen Sie sie auf Fehler (und ggf. deren Berichtigung) hin.                *
 *                                                                             *
 * Danke fr Ihre Mitarbeit.                                                   *
 *******************************************************************************}

unit mServerVerbindung;

interface

uses
  scktcomp, Winsock, mSuM;

  type
  ServerVerbindung=class(TServerClientWinsocket)
                      zInhalt:TObject;
                      constructor create(Socket: TSocket; ServerWinSocket: TServerWinSocket);
                      procedure setzeInhalt(pInhalt:TObject);
                      function Inhalt:TObject;
                      function hatInhalt:Wahrheitswert;
                      destructor destroy;override;
                    end;
implementation

  constructor ServerVerbindung.create(Socket: TSocket; ServerWinSocket: TServerWinSocket);
  begin
    zInhalt:=nil;
    inherited create(Socket,ServerWinSocket);
  end;

  procedure Serververbindung.setzeInhalt(pInhalt:TObject);
  begin
    zInhalt:=pInhalt;
  end;

  function Serververbindung.Inhalt:TObject;
  begin
    result:=zInhalt;
  end;

  function Serververbindung.hatInhalt:boolean;
  begin
    result:=zInhalt<>nil;
  end;

  destructor ServerVerbindung.destroy;
  begin
    if zInhalt<>nil then
      zInhalt.destroy;
    inherited destroy;
  end;

end.
